# std::atomic::load

From cppreference.com
< cpp‎ | atomic‎ | atomic

|  | (since C++11)
T load( std::memory_order order = std::memory_order_seq_cst ) const; |  |
T load( std::memory_order order = std::memory_order_seq_cst ) const volatile; |  |

Atomically loads and returns the current value of the atomic variable. Memory is affected according to the value of `order`.

`order` must be one of std::memory_order_relaxed, std::memory_order_consume, std::memory_order_acquire or std::memory_order_seq_cst. Otherwise the behavior is undefined.

### Parameters

order | - | memory order constraints to enforce

### Return value

The current value of the atomic variable.

### Exceptions

`noexcept` specification:
noexcept

### See also

operator T | loads a value from an atomic object (public member function)
atomic_load atomic_load_explicit (C++11)(C++11) | atomically obtains the value stored in an atomic object (function template)

Retrieved from "http://en.cppreference.com/mwiki/index.php?title=cpp/atomic/atomic/load&oldid=91591"
Category:

- unconditionally noexcept

Hidden categories:

- Pages with unreviewed unconditional noexcept template
- Pages with unreviewed noexcept template